//Source file: NotificationRequested.java
//Date: June 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.7.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to event requests.
 * 
 */
public final class NotificationRequested implements java.io.Serializable {

    private org.csapi.jr.se.cc.CallNotificationRequest appCallNotificationRequest;
    private int assignmentID;

    /**
     * Creates a new NotificationRequested instance.
     */
    public NotificationRequested () {}

    /**
     * Creates a new NotificationRequested instance.
     * @param _appCallNotificationRequest   
     * @param _assignmentID   
     */
    public NotificationRequested (org.csapi.jr.se.cc.CallNotificationRequest _appCallNotificationRequest, int _assignmentID) {

        this.appCallNotificationRequest = _appCallNotificationRequest;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a appCallNotificationRequest.
     * 
     * @return a org.csapi.jr.se.cc.CallNotificationRequest value
     */
    public org.csapi.jr.se.cc.CallNotificationRequest getAppCallNotificationRequest() {
        return appCallNotificationRequest;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a appCallNotificationRequest.
     */ 
    public void setAppCallNotificationRequest(org.csapi.jr.se.cc.CallNotificationRequest appCallNotificationRequest) {
        this.appCallNotificationRequest = appCallNotificationRequest;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof NotificationRequested)) {
            return false;
        } 
        NotificationRequested notificationRequested = (NotificationRequested) o;
        if(!(this.assignmentID == notificationRequested.assignmentID)) {
            return false;
        }
        if ((this.appCallNotificationRequest != null) && (notificationRequested.appCallNotificationRequest != null)) {
            if(!(this.appCallNotificationRequest.equals(notificationRequested.appCallNotificationRequest))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // NotificationRequested

