//Source file: CallLegListener.java
//Date: June 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.7.0

package org.csapi.jr.se.cc.mpccs;

/**
 * This interface is to be implemented for receiving events issued by the CallLeg service object.<BR>
 *
 */
public interface CallLegListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the eventReportRes() method on 
    * the callback interface.
    *
    * @param  eventReportResEvent  Reference to a EventReportResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onEventReportResEvent(org.csapi.jr.se.cc.mpccs.EventReportResEvent eventReportResEvent);


   /**
    * Called due to a Gateway initiated call to the eventReportErr() method on 
    * the callback interface.
    *
    * @param  eventReportErrEvent  Reference to a EventReportErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onEventReportErrEvent(org.csapi.jr.se.cc.mpccs.EventReportErrEvent eventReportErrEvent);


   /**
    * Called due to a Gateway initiated call to the attachMediaRes() method on 
    * the callback interface.
    *
    * @param  attachMediaResEvent  Reference to a AttachMediaResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onAttachMediaResEvent(org.csapi.jr.se.cc.mpccs.AttachMediaResEvent attachMediaResEvent);


   /**
    * Called due to a Gateway initiated call to the attachMediaErr() method on 
    * the callback interface.
    *
    * @param  attachMediaErrEvent  Reference to a AttachMediaErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onAttachMediaErrEvent(org.csapi.jr.se.cc.mpccs.AttachMediaErrEvent attachMediaErrEvent);


   /**
    * Called due to a Gateway initiated call to the detachMediaRes() method on 
    * the callback interface.
    *
    * @param  detachMediaResEvent  Reference to a DetachMediaResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDetachMediaResEvent(org.csapi.jr.se.cc.mpccs.DetachMediaResEvent detachMediaResEvent);


   /**
    * Called due to a Gateway initiated call to the detachMediaErr() method on 
    * the callback interface.
    *
    * @param  detachMediaErrEvent  Reference to a DetachMediaErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDetachMediaErrEvent(org.csapi.jr.se.cc.mpccs.DetachMediaErrEvent detachMediaErrEvent);


   /**
    * Called due to a Gateway initiated call to the getInfoRes() method on 
    * the callback interface.
    *
    * @param  getInfoResEvent  Reference to a GetInfoResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetInfoResEvent(org.csapi.jr.se.cc.mpccs.GetInfoResEvent getInfoResEvent);


   /**
    * Called due to a Gateway initiated call to the getInfoErr() method on 
    * the callback interface.
    *
    * @param  getInfoErrEvent  Reference to a GetInfoErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetInfoErrEvent(org.csapi.jr.se.cc.mpccs.GetInfoErrEvent getInfoErrEvent);


   /**
    * Called due to a Gateway initiated call to the routeErr() method on 
    * the callback interface.
    *
    * @param  routeErrEvent  Reference to a RouteErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onRouteErrEvent(org.csapi.jr.se.cc.mpccs.RouteErrEvent routeErrEvent);


   /**
    * Called due to a Gateway initiated call to the superviseRes() method on 
    * the callback interface.
    *
    * @param  superviseResEvent  Reference to a SuperviseResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseResEvent(org.csapi.jr.se.cc.mpccs.SuperviseResEvent superviseResEvent);


   /**
    * Called due to a Gateway initiated call to the superviseErr() method on 
    * the callback interface.
    *
    * @param  superviseErrEvent  Reference to a SuperviseErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseErrEvent(org.csapi.jr.se.cc.mpccs.SuperviseErrEvent superviseErrEvent);


   /**
    * Called due to a Gateway initiated call to the callLegEnded() method on 
    * the callback interface.
    *
    * @param  callLegEndedEvent  Reference to a CallLegEndedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallLegEndedEvent(org.csapi.jr.se.cc.mpccs.CallLegEndedEvent callLegEndedEvent);

}

