//Source file: CallLoadControl.java
//Date: June 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.7.0

package org.csapi.jr.se.cc.mpccs;

/**
 * This interface represents a CallLoadControl activity object.<BR>
 *
 */
public interface CallLoadControl extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the MultiPartyCallControlManager responsible for creation of the CallLoadControl.
     *
     * @return  A reference to the MultiPartyCallControlManager responsible for creation of the CallLoadControl.
     */
    org.csapi.jr.se.cc.mpccs.MultiPartyCallControlManager getMultiPartyCallControlManager();

    /**
     * Adds a CallLoadControlListener which is interested in events generated by the CallLoadControl.
     *
     * @param  callLoadControlListener  A reference to the CallLoadControlListener which is to be added as
     *        a listener.
     */
    void addCallLoadControlListener(org.csapi.jr.se.cc.mpccs.CallLoadControlListener callLoadControlListener);

    /**
     * Removes a CallLoadControlListener which is no longer interested events generated by the CallLoadControl.
     *
     * @param  callLoadControlListener  A reference to the CallLoadControlListener which is to be removed as
     *        a listener.
     */
    void removeCallLoadControlListener(org.csapi.jr.se.cc.mpccs.CallLoadControlListener callLoadControlListener);

    /**
     * Invokes the setCallLoadControl() method on the Parlay Gateway.
     */
    void setCallLoadControl(
           int                             duration,
           org.csapi.jr.se.cc.CallLoadControlMechanism mechanism,
           org.csapi.jr.se.cc.CallTreatment treatment,
           org.csapi.jr.se.AddressRange addressRange)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidAddressException,
       org.csapi.jr.se.UnsupportedAddressPlanException;
}
